Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227248 - avc denial for useradd
Summary: avc denial for useradd
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 23:16 UTC by Michel Alexandre Salim
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-16 05:24:19 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-02-03 23:16:40 UTC
Description of problem:
Clean install of Fedora 7 test 1, upgraded to latest Rawhide. Every now and then
I get a new log entry stating that "SELinux is preventing /usr/sbin/useradd
(useradd_t) "read write" to faillog (var_log_t).

I have used system-config-users to create a new user and that seemed to work,
but after that I have been getting periodic repeats of this error, which is odd.

Version-Release number of selected component (if applicable):
2.5.2-4.fc7

How reproducible:
Unknown

Steps to Reproduce:
1. Use system-config-users to add new user
 

Actual results:
This apparently triggers repeated failure logs
  

Expected results:
No error

Additional info:

Comment 1 Daniel Walsh 2007-02-14 15:24:06 UTC
restorecon /var/log/faillog should fix.

This is fixed in the latest installer to label /var/log/faillog correctly.

Comment 2 Michel Alexandre Salim 2007-02-16 05:24:19 UTC
Thanks, just did that (it changes from var_log_t to faillog_t). The bizarre
thing is, using Rawhide on another machine, with SELinux set to permissive, I've
not had any useradd failures in the log even though the file context was wrong.


Note You need to log in before you can comment on or make changes to this bug.